Bug 851657 - Update Titles Displayed in rhn_register
Summary: Update Titles Displayed in rhn_register
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Milan Zázrivec
QA Contact: Pavel Studeník
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-24 15:37 UTC by Matt Reid
Modified: 2013-02-21 10:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Not quite sure. Consequence: Titles and some other strings in the rhn_register program did not follow standard capitalization. Fix: Few strings have been modified. Result: The strings should look better now.
Clone Of:
Environment:
Last Closed: 2013-02-21 10:06:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
Successful (39.97 KB, image/png)
2012-08-24 19:28 UTC, Matt Reid
no flags Details
Unsuccessful (43.54 KB, image/png)
2012-08-24 19:28 UTC, Matt Reid
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0388 0 normal SHIPPED_LIVE rhn-client-tools bug fix and enhancement update 2013-02-20 20:51:47 UTC

Description Matt Reid 2012-08-24 15:37:04 UTC
Description of problem:
The current titles displayed in rhn_register don't follow standard title capitalization, only the first word is capitalized. This also applies to the window title.

Window Title - Registering for software updates

Screen Titles -
Registering for software updates
Choose an update location
Enter your account information
Select operating system release
Create your system profile
Review system subscription details
Finish setting up software updates

Updating them to:

Window Title - System Registration

Screen Titles -
Set Up Software Updates
Choose Service
Red Hat Account
Operating System Release Version
Create Profile
Review Subscription
Updates Configured

would bring them in line with what is used in firstboot, and follow capitalization conventions.

Comment 2 Matt Reid 2012-08-24 19:28:10 UTC
Looks like there's a few more:

If you're registered to Subscription Management, you get a dialog pop-up saying your system is already registered, with a window title of "System already registered", that should get capitalized to be "System Already Registered".

If you cancel the process, you get a dialog with a window title of "software updates setup unsuccessful". This should either get capitalized to be "Software Updates Setup Unsuccessful" or "Software Updates Not Set Up" to more closely match the initial "Set Up Software Updates" title.

Same for the screen title:
software updates setup unsuccessful

and the button text of:
Exit software update setup

Should be just "Exit". It looks like having the long button text ended up changing the button structure/layout of the dialog when compared to the successful dialog's buttons. I don't think the context of "software update setup" is necessary in the button.

Are there any other variants I'm skipping?

Comment 3 Matt Reid 2012-08-24 19:28:34 UTC
Created attachment 606946 [details]
Successful

Comment 4 Matt Reid 2012-08-24 19:28:53 UTC
Created attachment 606947 [details]
Unsuccessful

Comment 5 Milan Zázrivec 2012-09-11 13:40:57 UTC
spacewalk.git master: 318f1896b8674094cc251dce0326aff5ef2719aa

Comment 10 errata-xmlrpc 2013-02-21 10:06:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0388.html


Note You need to log in before you can comment on or make changes to this bug.